%define builtin_major_version 3
%define builtin_release_version 3.0
%define builtin_release_name Labas

Name: annyung-release
Version: 3.0
Release: 3%{?dist}
Epoch: 0
Summary: The LInux AnNyung 3 release file
Summary(ko): 안녕 리눅스 3 릴리즈 파일

Group: System Environment/AnNyung
License: GPLv2
URL: http://annyung.oops.org

Source0: annyung-release-%{builtin_major_version}.tar.bz2
Source1: epel.repo
Source2: RPM-GPG-KEY-EPEL-7
Source3: 98-annyung.preset
Source4: https://github.com/chunhualiu/sc/blob/master/sc
#Provides: redhat-release ceontos-release
Requires: perl

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch

%description
The %{name} package identifies the release of LInux AnNyung.

%description -l ko
%{name} 패키지는 안녕 리눅스 3의 릴리즈 정보를 가지고 있다

%prep
%setup -q -n %{name}-%{builtin_major_version}

%build

%install
rm -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_sysconfdir}/{pki/rpm-gpg,yum.repos.d,yum/vars,sysconfig}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/cron.daily/
%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_datadir}/%{name}/functions.d/bash
%{__mkdir_p} %{buildroot}/%{_sbindir}

%{__install} -m 644 AnNyung.repo %{buildroot}%{_sysconfdir}/yum.repos.d/
%{__install} -m 644 RPM-GPG-KEY-AnNyung-%{builtin_major_version} %{buildroot}%{_sysconfdir}/pki/rpm-gpg/
%{__install} -m 644 macros.annyung %{buildroot}%{_datadir}/%{name}/
%{__install} -m 644 os-release %{buildroot}%{_datadir}/%{name}/
%{__install} -m 644 functions %{buildroot}%{_datadir}/%{name}/functions.d/bash/
%{__install} -m 755 anbuild.sh %{buildroot}%{_bindir}/annyung-build
%{__install} -m 700 annyung-init-banner %{buildroot}/%{_sbindir}/annyung-init-banner
%{__install} -m 755 crontab.daily %{buildroot}%{_sysconfdir}/cron.daily/annyung-banner
%{__ln_s} -f %{_bindir}/annyung-build %{buildroot}%{_bindir}/anbuild
%{__ln_s} -f %{_bindir}/annyung-build %{buildroot}%{_bindir}/anrebuild
%{__ln_s} -f %{_bindir}/annyung-build %{buildroot}%{_bindir}/anresign

echo "AnNyung release %{builtin_release_version} (%{builtin_release_name})" > \
	%{buildroot}%{_sysconfdir}/annyung-release
echo %{builtin_major_version} > %{buildroot}%{_sysconfdir}/yum/vars/annyungver

%{__mkdir_p} %{buildroot}%{_sysconfdir}/profile.d
%{__install} -m 644 alias.sh %{buildroot}%{_sysconfdir}/profile.d/zannyung.sh
%{__install} -m 644 alias.csh %{buildroot}%{_sysconfdir}/profile.d/zannyung.csh
%{__install} -m 644 prompt.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/prompt

# install EPEL repos
%{__mkdir_p} %{buildroot}%{_sysconfdir}/yum.repos.d
%{__mkdir_p} %{buildroot}%{_sysconfdir}/pki/rpm-gpg

%{__install} -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/yum.repos.d/EPEL.repo
%{__install} -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-EPEL-7

%{__install} -Dp -m0644 %{SOURCE3} %{buildroot}%{_presetdir}/98-annyung.preset
%{__install} -m 700 %{SOURCE4} %{buildroot}%{_sbindir}/ntsysv-systemd

%clean
rm -rf %{buildroot}

%post
%{_sbindir}/annyung-init-banner >& /dev/null
# install or update
if [ $1 = 1 -o $1 = 2 ]; then
	rpm --import %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-AnNyung-%{builtin_major_version} &> /dev/null
fi

%files
%defattr(-,root,root,-)
%doc GPL EULA
%attr(0644,root,root) %{_sysconfdir}/annyung-release
%dir %{_sysconfdir}/pki/rpm-gpg
%{_sysconfdir}/pki/rpm-gpg/*
%{_sysconfdir}/cron.daily/annyung-banner
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/yum.repos.d/*
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/sysconfig/*
%{_sysconfdir}/yum/vars/annyungver
%{_datadir}/%{name}/macros.annyung
%{_datadir}/%{name}/os-release
%{_datadir}/%{name}/functions.d
%{_bindir}/anbuild
%{_bindir}/anrebuild
%{_bindir}/anresign
%{_presetdir}/*
%attr(700,root,root) %{_sbindir}/*
%attr(755,root,root) %{_bindir}/annyung-build
%attr(0644,root,root) %{_sysconfdir}/profile.d/*

%changelog
* Wed Mar 23 2016 JoungKyun.Kim <http://oops.org> - 0:3.0-3%{?dist}
- fixed grub banner modify with annyung-init-banner
- add ntsysv-systemd

* Sat Feb 20 2016 JoungKyun.Kim <http://oops.org> - 0:3.0-2%{?dist}
- add enabled=1 at [AN:xless] repository

* Wed Nov 11 2015 JoungKyun.Kim <http://oops.org> - 0:3.0-1%{?dist}
- Build for AnNyung 3.0

